> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create login links

> Generate a batch of links that allow a user to log in as a domain administrator to their different domains.
Maximum of 1000 links per request.




## OpenAPI

````yaml /inbound/api-reference/openapi.yaml post /domains/batch/login-link
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /domains/batch/login-link:
    post:
      tags:
        - Login links
      summary: Bulk create login links
      description: >
        Generate a batch of links that allow a user to log in as a domain
        administrator to their different domains.

        Maximum of 1000 links per request.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domains:
                  type: array
                  minItems: 1
                  maxItems: 1000
                  items:
                    type: object
                    required:
                      - domain
                    properties:
                      domain:
                        type: string
                        format: hostname
                        description: The domain name to create a login link for.
      responses:
        '200':
          description: >
            The request was processed successfully. This does not necessarily
            mean login links were

            created for all domains.

            See the CommentedLoginLink definition for more information.
          content:
            application/json:
              schema:
                type: object
                required:
                  - successes
                  - errors
                properties:
                  successes:
                    type: array
                    items:
                      $ref: '#/components/schemas/CommentedLoginLink'
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/CommentedLoginLink'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CommentedLoginLink:
      type: object
      required:
        - domain
        - code
      properties:
        domain:
          type: string
          description: The domain the request was for.
        code:
          type: integer
          description: >
            * `200`: The login link was successfully created

            * `400`: A 400 response is typically returned in the following
            case(s):
                1. There was an error converting the A-label domain to a U-label domain name.

            * `401`: The domain does not belong to this customer.

            * `403`: The domain is associated with a different customer,
            associated with a different api key, or is an alias domain.

            * `404`: The domain does not exist.

            * `500`: There was an error creating the login link.
          enum:
            - 200
            - 400
            - 401
            - 403
            - 404
            - 500
        comment:
          type: string
          description: More information about the result of creating the login link.
        loginLink:
          type: string
          description: >-
            If a user browses to this URL, they will be automatically logged in
            as a domain admin.
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````